summaryrefslogtreecommitdiffstats
path: root/third_party/rust/jsparagus/test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
commit36d22d82aa202bb199967e9512281e9a53db42c9 (patch)
tree105e8c98ddea1c1e4784a60a5a6410fa416be2de /third_party/rust/jsparagus/test.sh
parentInitial commit. (diff)
downloadfirefox-esr-upstream.tar.xz
firefox-esr-upstream.zip
Adding upstream version 115.7.0esr.upstream/115.7.0esrupstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/rust/jsparagus/test.sh')
-rwxr-xr-xthird_party/rust/jsparagus/test.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/third_party/rust/jsparagus/test.sh b/third_party/rust/jsparagus/test.sh
new file mode 100755
index 0000000000..0fdd0f6b3b
--- /dev/null
+++ b/third_party/rust/jsparagus/test.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# test.sh - Run some tests.
+
+set -eu
+
+# announce what you're doing before you do it
+verbosely() {
+ echo "$*"
+ $*
+}
+
+wtf() {
+ exitcode="$?"
+ if [ $(which python3 | cut -b -4) == "/usr" ]; then
+ echo >&2
+ echo "WARNING: venv is not activated. See README.md." >&2
+ fi
+ exit $exitcode
+}
+
+warn_update() {
+ exitcode="$?"
+ echo >&2
+ echo "NOTE: Test failed. This may just mean you need to run update.sh." >&2
+ exit $exitcode
+}
+
+verbosely python3 -m tests.test || wtf
+verbosely python3 -m tests.test_js
+verbosely python3 -m tests.test_parse_pgen || warn_update